#include <nemo/stdint.h>
#include <nemo/unixtypes.h>
#include <nemo/install.h>

#include "auto_prefix.h"

void hier(void);

void hier(void)
{
  h(auto_prefix, (uid_t)-1, (gid_t)-1, 0755);

  d(auto_prefix, "bin", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "sbin", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "man", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/man8", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/cat8", (uid_t)install_manuid, (gid_t)-1, 0755);

  c(auto_prefix, "bin", "envdir", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "envuidgid", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "fghack", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "multilog", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "pgrphack", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "setlock", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "setuidgid", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "softlimit", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "splogger", (uid_t)-1, (gid_t)-1, 0711);
  c(auto_prefix, "bin", "svctl", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "svok", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "svstat", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "tai64n", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "tai64nlocal", (uid_t)-1, (gid_t)-1, 0755);

  c(auto_prefix, "sbin", "readproctitle", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "sbin", "supervise", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "sbin", "svscan", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "sbin", "svscanboot", (uid_t)-1, (gid_t)-1, 0755);

  c(auto_prefix, "man/man8", "envdir.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "envuidgid.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "fghack.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "multilog.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "pgrphack.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "readproctitle.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "setlock.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "setuidgid.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "softlimit.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "splogger.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "supervise.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "svctl.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "svok.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "svscan.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "svscanboot.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "svstat.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "tai64n.8", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man8", "tai64nlocal.8", (uid_t)install_manuid, (gid_t)-1, 0644);

  c(auto_prefix, "man/cat8", "envdir.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "envuidgid.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "fghack.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "multilog.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "pgrphack.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "readproctitle.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "setlock.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "setuidgid.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "softlimit.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "splogger.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "supervise.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "svctl.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "svok.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "svscan.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "svscanboot.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "svstat.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "tai64n.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat8", "tai64nlocal.0", (uid_t)install_manuid, (gid_t)-1, 0644);
}
