#include <nemo/stralloc.h>
#include <nemo/djbio.h>
#include <nemo/djbiofd.h>
#include <nemo/str.h>
#include <nemo/exit.h>

#include "match.h"

int main(int argc, char **argv)
{
  const char *pattern = "";
  const char *buf = "";

  if (argc > 1) {
    pattern = argv[1];
    if (argc > 2) {
      buf = argv[2];
    }
  }

  djbio_puts(djbiofd_out, match(pattern, buf, str_len(buf)) ? "+" : "-");
  djbio_puts(djbiofd_out, pattern);
  djbio_puts(djbiofd_out, " (");
  djbio_puts(djbiofd_out, buf);
  djbio_puts(djbiofd_out, ")\n");
  djbio_flush(djbiofd_out);
  _exit(0);
}
