#include <unistd.h>

#include <nemo/strerr.h>
#include <nemo/pathexec.h>

#include "die.h"

const char USAGE[] = "child";

int main(int argc, char **argv, char **envp)
{
  PROGRAM = argv[0];
  if (argc < 2) die_usage();
  setsid();  /* shouldn't fail, if it does, too bad */
  pathexec_run(argv[1], argv + 1, envp);
  die_exec(argv[1]);
  return 0;  /* lint */
}
